Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::StateSend Class Reference

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::StateSend:

[legend]
Collaboration diagram for sc::StateSend:

[legend]
List of all members.

## Public Methods
| StateSend (const Ref< MessageGrp > &)
| Create a StateSend given a MessageGrp.
| ~StateSend ()
void | target (int)
| Specify the target node.
void | flush ()
| Flush the buffer.

## Detailed Description

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp.

The documentation for this class was generated from the following file:

- mstate.h